Package org.zkoss.web.servlet.dsp

## Class DspException.Aide

- java.lang.Object
- - org.zkoss.web.servlet.dsp.DspException.Aide

- Enclosing class:
    DspException

      public static class DspException.Aide
      extends java.lang.Object

  Utilities.

  The reason to use a class to hold static utilities is we can override the method's return type later.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Aide()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DspException` | `wrap​(java.lang.Throwable t)` | Converts an exception to DspException if it is not RuntimeException nor Error.
    `static DspException` | `wrap​(java.lang.Throwable t, int code)` | Converts an exception to DspException if it is not RuntimeException nor Error.
    `static DspException` | `wrap​(java.lang.Throwable t, int code, java.lang.Object fmtArg)` | Converts an exception to DspException if it is not RuntimeException nor Error.
    `static DspException` | `wrap​(java.lang.Throwable t, int code, java.lang.Object[] fmtArgs)` | Converts an exception to DspException if it is not RuntimeException nor Error.
    `static DspException` | `wrap​(java.lang.Throwable t, java.lang.String msg)` | Converts an exception to DspException if it is not RuntimeException nor Error.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Aide

          public Aide()

  - ### Method Detail

    - #### wrap

          public static DspException wrap​(java.lang.Throwable t)

      Converts an exception to DspException if it is not RuntimeException nor Error.
      See Also:
        `Exceptions.wrap(java.lang.Throwable, java.lang.Class<? extends java.lang.Throwable>)`

    - #### wrap

          public static DspException wrap​(java.lang.Throwable t,
                                          java.lang.String msg)

      Converts an exception to DspException if it is not RuntimeException nor Error.
      See Also:
        `Exceptions.wrap(java.lang.Throwable, java.lang.Class<? extends java.lang.Throwable>)`

    - #### wrap

          public static DspException wrap​(java.lang.Throwable t,
                                          int code,
                                          java.lang.Object[] fmtArgs)

      Converts an exception to DspException if it is not RuntimeException nor Error.
      See Also:
        `Exceptions.wrap(java.lang.Throwable, java.lang.Class<? extends java.lang.Throwable>)`

    - #### wrap

          public static DspException wrap​(java.lang.Throwable t,
                                          int code,
                                          java.lang.Object fmtArg)

      Converts an exception to DspException if it is not RuntimeException nor Error.
      See Also:
        `Exceptions.wrap(java.lang.Throwable, java.lang.Class<? extends java.lang.Throwable>)`

    - #### wrap

          public static DspException wrap​(java.lang.Throwable t,
                                          int code)

      Converts an exception to DspException if it is not RuntimeException nor Error.
      See Also:
        `Exceptions.wrap(java.lang.Throwable, java.lang.Class<? extends java.lang.Throwable>)`